EDIT - bug #7933

Adding a new Term to the "Country" vocabulary leads to corrupt data
11/30/2018 05:02 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: critical Found in Version:

Description

After adding a new term to the "Country" vocabulary the cdm server throws an exception during startup

Associated revisions

Revision aeOc3aab - 01/17/2019 12:05 PM - Patrick Plitzner

ref #7933 Disable adding terms to country vocabulary

e temporary hardcoded fix

History

#1 - 11/30/2018 05:03 PM - Patrick Plitzner

- Target version changed from Unassigned CDM tickets to Release 5.5

#2 - 12/10/2018 07:00 AM - Patrick Plitzner
- Status changed from New to Feedback

- Assignee changed from Patrick Plitzner to Andreas Miiller

@Andreas: Should it be allowed at all to add a new term to the Country vocabulary?

The problem is in the TermType class which does not have a specific value for Country, thus a new NamedArea is added to the list of Countries
which causes the exception.

#3 - 12/10/2018 07:03 AM - Patrick Plitzner

- Severity changed from blocker to critical

#4 - 01/16/2019 01:29 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Patrick Plitzner
Can we handle this special case hardcoded until the terms modul is more elaborated?

E.g. by testing if the vocabulary is explicitly the countries vocabulary and then disallow to add a term at all (adding countries should not be allowed as
the vocabulary is managed).

#5 - 01/18/2019 03:01 PM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 0 to 50

Fixed by hardcoding the check for the "Country" vocabulary

#6 - 01/27/2019 10:08 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner

Ok, this seems to work as expected
#7 - 01/27/2019 10:09 AM - Andreas Miiller
- % Done changed from 50 to 100
